warning: GUI Modules PyQt4 and PyQt5 are not installed

Vragen over Grub, de liveCD en de installer
Gerard374
Junior
Junior
Berichten: 33
Lid geworden op: Za 16 Aug 2014, 20:56

warning: GUI Modules PyQt4 and PyQt5 are not installed

Berichtdoor Gerard374 » Di 14 Jul 2020, 16:52

Ik probeer mijn laserprinter te installeren HP Laserjet P1102w
en gebruik daarvoor de zeer informatieve pagina Makkelijke linuxtips.
Het advies is om hp-setup in te tikken in het terminalvenster, maar daar hapert mijn systeem.
Dit is de melding die ik krijg, Iemand een suggestie?

Code: Selecteer alles

HP Linux Imaging and Printing System (ver. 3.17.10)
Printer/Fax Setup Utility ver. 9.0

Copyright (c) 2001-15 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

warning: GUI Modules PyQt4 and PyQt5 are not installed
error: hp-setup requires GUI support (try running with --qt3). Also, try using interactive (-i) mode.
Gebruikersavatar
tytsjerksteradiel
Senior
Senior
Berichten: 184
Lid geworden op: Ma 16 Dec 2019, 01:16

Re: warning: GUI Modules PyQt4 and PyQt5 are not installed

Berichtdoor tytsjerksteradiel » Di 14 Jul 2020, 17:29

Ik probeer mijn laserprinter te installeren HP Laserjet P1102w
en gebruik daarvoor de zeer informatieve pagina Makkelijke linuxtips.
Het advies is om hp-setup in te tikken in het terminalvenster, maar daar hapert mijn systeem.
Dit is de melding die ik krijg, Iemand een suggestie?

Code: Selecteer alles

HP Linux Imaging and Printing System (ver. 3.17.10)
Printer/Fax Setup Utility ver. 9.0

Copyright (c) 2001-15 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

warning: GUI Modules PyQt4 and PyQt5 are not installed
error: hp-setup requires GUI support (try running with --qt3). Also, try using interactive (-i) mode.
ga naar > programma beheer , specifiek voor HP printers :
hebt U naast
" Hplip " : HP Linux Printing and imaging System ( HPLIP )
ook
" Hplip-gui " : HP Linux Printing and Imaging - GUI utilities ( Qt-based )
geïnstalleerd , mogelijk help dit het probleem oplossen ?
Gerard374
Junior
Junior
Berichten: 33
Lid geworden op: Za 16 Aug 2014, 20:56

Re: warning: GUI Modules PyQt4 and PyQt5 are not installed

Berichtdoor Gerard374 » Di 14 Jul 2020, 19:06

Ik heb Hplip-gui geinstalleerd via programma beheer
en vervolgens nog een keer in het terminal scherm hp-setup gezet

en voila de installatie begon en verliep vlotjes en de printer werkt perfect!!!!

Heel blij met je tip, veel dank daarvoor!!:
Gebruikersavatar
tytsjerksteradiel
Senior
Senior
Berichten: 184
Lid geworden op: Ma 16 Dec 2019, 01:16

Re: warning: GUI Modules PyQt4 and PyQt5 are not installed

Berichtdoor tytsjerksteradiel » Di 14 Jul 2020, 23:52

.......

Code: Selecteer alles

HP Linux Imaging and Printing System (ver. 3.17.10)
.....
of het relevant is wat ik nu post ?
ik zie nu dat U met uw werkwijkze ( gebruimakend van de terminal ) blijkbaar een " verouderde versie " van HPLIP had binnengehaald ; HP Linux Imaging and Printing System (ver. 3.17.10)
onder progrmmabeheer ...
als men nu HPLIP onder Linux Mint 20 installeerd krijgen we de versie 3.20.3 aangeboden
onder LMDE4 is dat de versie 3.18.12
wellicht een mogelijk verband ?

EDIT : rechtzetting , ik stel vast dat onder Linux Mint 19.3 men wel degelijk de versie 3.17.10 aangeboden krijgt ... NIET VEROUDERD DUS
het probleem zat dus ergens anders , namelijk het Qt4 / Qt5 verhaal , vandaar de noodzaak van " Hplip-gui " te installeren ???

hoe of wat dan ook , gezien ik een HP printer gebruik , installeer ik altijd beide programma's bij een " fresh install "

@ Gerard374 , graag gedaan
Gerard374
Junior
Junior
Berichten: 33
Lid geworden op: Za 16 Aug 2014, 20:56

Re: warning: GUI Modules PyQt4 and PyQt5 are not installed

Berichtdoor Gerard374 » Wo 15 Jul 2020, 17:33

Inderdaad ik werk met 19.3 die ik opnieuw geïnstalleerd had, waardoor dit probleem ontstond.

Terug naar “Installatie & Boot”

Wie is er online

Gebruikers op dit forum: Geen geregistreerde gebruikers en 5 gasten